import type { DataTableVariant, HeaderVariant, TextAlign } from './types';
export declare const DataTableWrapper: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const Header: import("styled-components").StyledComponent<"header", import("styled-components").DefaultTheme, {
    variant: DataTableVariant;
    headerVariant: HeaderVariant;
}, never>;
export declare const ResponsiveTableWrapper: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const Table: import("styled-components").StyledComponent<"table", import("styled-components").DefaultTheme, {}, never>;
export declare const Th: import("styled-components").StyledComponent<"th", import("styled-components").DefaultTheme, {
    columnWidth?: string | undefined;
    textAlign?: TextAlign | undefined;
    onClick?: (() => void) | undefined;
}, never>;
export declare const Td: import("styled-components").StyledComponent<"td", import("styled-components").DefaultTheme, {
    textAlign?: TextAlign | undefined;
}, never>;
export declare const ThContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const CheckboxCell: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
export declare const ActionBar: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const SelectedItemsInfo: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const ActionButtons: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const Footer: import("styled-components").StyledComponent<"footer", import("styled-components").DefaultTheme, {}, never>;
export declare const ResultsArea: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
